## org.omg.CORBA
Class WStringSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.WStringSeqHelper

public class WStringSeqHelper
extends java.lang.Object

Helper class for : WStringSeq

Author:
  OpenORB Compiler

Constructor Summary
`WStringSeqHelper()`

Method Summary
`static java.lang.String[]` `extract(Any a)` Extract WStringSeq from an any
`static java.lang.String` `id()` Return the WStringSeq IDL ID
`static void` `insert(Any a, java.lang.String[] t)` Insert WStringSeq into an any
`static java.lang.String[]` `read(InputStream istream)` Read WStringSeq from a marshalled stream
`static TypeCode` `type()` Return the WStringSeq TypeCode
`static void` `write(OutputStream ostream, java.lang.String[] value)` Write WStringSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WStringSeqHelper

    public WStringSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              java.lang.String[] t)

  Insert WStringSeq into an any
  Parameters:
    `a` - an any
    `t` - WStringSeq value

### extract

    public static java.lang.String[] extract(Any a)

  Extract WStringSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted WStringSeq value

### type

    public static TypeCode type()

  Return the WStringSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the WStringSeq IDL ID
  Returns:
    an ID

### read

    public static java.lang.String[] read(InputStream istream)

  Read WStringSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed WStringSeq value

### write

    public static void write(OutputStream ostream,
                             java.lang.String[] value)

  Write WStringSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - WStringSeq value